// RTC业务模块
// 杭州秒寻科技有限公司
// 周涛
// 2025-02-28

#ifndef __RTC_H__
#define __RTC_H__

#include <time.h>
#include "sysdef.h"

#endif

// 外部接口
void rtc_monitor();
void rtc_set_chip_flag(uint8 byFlag);
uint8 rtc_get_chip_flag();
uint8 rtc_get_rtc_time_valid_flag();

// 内部接口
BOOL rtc_check_current_time_valid(uint32 dwCurrentMinutes, uint32 dwStartMinutes, uint32 dwStopMinutes);
void rtc_cal_minutes(uint32 *pdwMinutes, uint8 byHour, uint8 byMinute);
void rtc_organize_set_time(uint16 wTime, uint8 *pbyHour, uint8 *pbyMinute);